
Robotics Service Bus - Feature #713
Implement socket-based transport
11/10/2011 02:39 AM - J. Moringen

Status: Resolved Start date: 07/06/2012
Priority: Immediate Due date:
Assignee: J. Wienke % Done: 100%
Category: Java Estimated time: 0.00 hour
Target version: rsb-0.9
Description

Subtasks:
Tasks # 1059: Implement bus connection functionality Resolved
Related issues:
Related to Robotics Service Bus - Enhancement # 545: Check if pure TCP Connec... Resolved 09/05/2011
Related to Robotics Service Bus - Feature # 1012: Change default configuratio... Resolved 06/20/2012
Blocks RSB XML Support - Tasks # 1141: Change integration-test to use default... Resolved 08/16/2012

Associated revisions
Revision e97349df - 06/25/2012 09:32 PM - S. Wrede

Refactored Event construction into Builder class, refs #713.

Revision 7a100a5f - 06/26/2012 10:21 PM - S. Wrede

Added BusConnection class to handle RSB TCP client/server connections as a starting point for supporting Socket transport in Java, refs #713.
Added example logging.properties for enabling framework logging.

Revision 466f8e3f - 09/06/2012 10:33 AM - S. Wrede

further work on socket transport implementation, refs #713

Revision 52fc0bbd - 12/02/2012 03:34 PM - S. Wrede

further work on Java implementation of Socket transport, in particular on BusServer and BusClient, refs #713

Revision a22ae6b3 - 12/02/2012 03:34 PM - S. Wrede

further work on Java implementation of Socket transport, in particular on BusServer and BusClient, refs #713

Revision 2297d7f4 - 12/02/2012 03:35 PM - S. Wrede

further work on Java implementation of Socket transport, in particular on BusServer and BusClient, refs #713

Revision 2557ff36 - 12/03/2012 08:58 AM - S. Wrede

fixed failing test, added check for null pointer, refs #713
Revision 2f622341 - 07/25/2013 07:10 PM - J. Wienke

fixes #713: implemented socket transport

Merge branch 'feature-713'

History
#1 - 06/21/2012 04:13 PM - S. Wrede
- Assignee set to S. Wrede
- Target version changed from rsb-1.0 to rsb-0.7
- Estimated time set to 20.00

#2 - 06/25/2012 08:58 PM - S. Wrede
- Status changed from New to In Progress
- % Done changed from 0 to 10

Initial protoyping code working in client mode, cf. r3629.

#3 - 06/26/2012 10:22 PM - S. Wrede
- % Done changed from 10 to 20

Implemented client-part of BusConnection class allowing to receive notifications from an RSB socket.

#4 - 07/06/2012 02:53 PM - J. Moringen
- Target version changed from rsb-0.7 to rsb-0.9

#5 - 12/02/2012 03:37 PM - S. Wrede

Implemented further infrastructure for Java socket transport. In particular BusServer and BusClient as well as a simple threading logic.

#6 - 07/16/2013 11:33 PM - J. Wienke
- Assignee changed from S. Wrede to J. Wienke

#7 - 07/25/2013 07:23 PM - J. Wienke
- Status changed from In Progress to Resolved

Applied in changeset rsb-java|commit:2f6223413796f8ffc27d2577642d3c51d4a584fb.
